Corsi on-line

PHP.ini: direttive deprecate in PHP 5.3.x

Con il rilascio della versione 5.3.x del linguaggio Server Side PHP, e in attesa della versione 6, gli sviluppatori hanno deciso di mandare in pensione alcune direttive prima configurabili all’interno del file di configurazione, il PHP.ini.

Nello stesso modo, sono stati introdotti due nuovi livelli di errore:

  1. E_DEPRECATED: indica l’utilizzo di una funzione deprecata;
  2. E_USER_DEPRECATED: indica l’utilizzo di una feature deprecata nel codice dell’utilizzatore.

L’utilizzo di una delle seguenti direttive nel file PHP.ini causerà la visualizzazione di una notifica basata su E_DEPRECATED:

Acune di queste direttive verranno definitivamente rimosse con PHP 6; è bene inoltre tenere presente che l’utilizzo dei commenti basati su “#” non è più consentito nel PHP.ini.

Post correlati
I più letti del mese
Tematiche